Subject: Re: IMPORTANT: Strategy for VPN work in IETF

From: Yakov Rekhter <[email-masked]>
Date: Mon, 05 May 2003 13:12:46 -0700

Alex,

> Folks,
>
>
> Since San Francisco IETF meeting the IESG has been considering the
> situation in the SUB-IP area and in the PPVPN Working Group in particular.
>
>
> Such close attention to this WG was triggered by numerous concerns that
> the IESG members received from the WG participants about limited and
> slow progress within the WG despite the efforts of the WG chairs and its
> members. The IESG also used this opportunity to consider the IETF area
> that the PPVPN work would fit best.
>
>
> After much deliberation, the involved ADs (Bert, Thomas, and I) are
> considering the following organizational changes in order to improve WG
> focus and productivity and ensure faster progress of the VPN-related work:
>
>
>  1. Split of Layer-2 and Layer-3 VPN work in separate Working Groups.
>
>
>     The L2 and L3 VPN work spaces are each big enough to warrant a separate
>     WG. While concentration of all VPN-related work in a single forum was
>     the right thing to do to ensure coordination of efforts when the PPVPN
>     WG was created and L2 VPN work came in, such concentration is causing
>     scaling problems within the WG at this moment.

As was pointed by other folks, there is practically no L3 VPN
related activities now. Practically all the discussion is about L2
VPN, or to be even more precise, above VPLS. Just count the number
of messages posted to the list over the last 12 months related to
L3 VPNs vs L2 VPNs.

With this in mind please explain how moving L3 VPN into a separate
WG would help to address the scaling problems that you mentioned
above.

>     Migration of work into two separate WGs for L2 and L3 VPN technologies
>     with more specific WG charters will help to focus discussions, prevent
>     staff and meeting time overloading, and will aid faster progress of
>     corresponding technologies.

As I mentioned above - there isn't any discussion on L3 VPN technologies.
The WG focuses on L2 VPN, and mostly on VPLS.

Are you suggesting that the WG need more discussion on L3 VPNs (e.g., 
2547bis) ?
 
>  2. Migration of the VPN-related work to the Internet area.
>
>     As previously discussed, VPN-related work could be argued to belong
>     to more than one area. Tunneling mechanisms are the property that
>     gravitates this work to the Internet area, which is where we believe
>     the VPN work should go.
>
>     As part of this move, we are also considering moving PWE3 into INT,
>     so that L2TPEXT, PWE3, and thew new VPN WGs are operating in the same
>     area.
>
> Based on the above considerations, we are considering the following steps:
>
>
>  1. Two new WGs--L2VPN and L3VPN--will be created in the Internet area.
>     The mailing lists will be established and the discussion of the proposed
>     charters of the new WGs will be initiated shortly.
>
>  2. Once the charters of the new WGs are agreed upon and approved by the IESG,
>     creation of the L2VPN and L3VPN WGs and shutdown of the PPVPN WG will be
>     performed simultaneously. PPVPN WG documents will be migrated to the
>     corresponding new WGs.
>
>
> It is our intention to complete this process by the Vienna IETF meeting.
> Also, these changes are being made for management reasons and are not
> intended to be a "reset" on WG activities or to halt or interrupt progress 
> on current ongoing WG activities.
>
> We'd like to hear from the WG members if they see any fatal flaws with
> the proposed approach. Please send us your feedback by May 11th.

I find the justifications for the steps you suggested above highly dubious 
(to say the least). The absence of solid justifications is one of the
fatal flaws of the proposed approach.

Yakov.

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Mon, 5 May 2003 16:21:19 -0400

> -----Original Message-----
> From: Yakov Rekhter [mailto:[email-masked]] 
> Sent: Monday, May 05, 2003 4:13 PM
> To: Alex Zinin
> Cc: PPVPN; [email-masked]; Wijnen, Bert (Bert); Thomas Narten; 
> Peterson, Jon; Allison Mankin
> Subject: Re: IMPORTANT: Strategy for VPN work in IETF
> 
> 
> Alex,
> 
> > Folks,
> >
> >
> > Such close attention to this WG was triggered by numerous concerns 
> > that the IESG members received from the WG participants 
> about limited 
> > and slow progress within the WG despite the efforts of the 
> WG chairs 
> > and its members. The IESG also used this opportunity to 
> consider the 
> > IETF area that the PPVPN work would fit best.
> >
> >
> > considering the following organizational changes in order 
> to improve 
> > WG focus and productivity and ensure faster progress of the 
> > VPN-related work:
> >
> >
> related activities now. Practically all the discussion is 
> about L2 VPN, or to be even more precise, above VPLS. Just 
> count the number of messages posted to the list over the last 
> 12 months related to L3 VPNs vs L2 VPNs.
> 
> With this in mind please explain how moving L3 VPN into a 
> separate WG would help to address the scaling problems that 
> you mentioned above.

	This may be the case because a) all of the existing
L3 VPN work is wrapped up and b) no new L3 VPN work
has been added to the work queue due to lack of bandwidth
in general, which I think Alex's proposal is trying to 
address. There was work proposed at the SF meeting that was 
discouraged to move forward due to the current list of
things on the WG's plate.

	--Tom

> As I mentioned above - there isn't any discussion on L3 VPN 
> technologies. The WG focuses on L2 VPN, and mostly on VPLS.
> 
> > It is our intention to complete this process by the Vienna IETF 
> > meeting. Also, these changes are being made for management 
> reasons and 
> > are not intended to be a "reset" on WG activities or to halt or 
> > interrupt progress on current ongoing WG activities.
> >
> (to say the least). The absence of solid justifications is 
> one of the fatal flaws of the proposed approach.
> 
> Yakov.
> 
> 
>

---

From: Robert Raszuk <[email-masked]>
Date: Mon, 05 May 2003 22:54:04 +0200

Hi Yakov,

> related activities now. 

Well I can't agree with this one submitting few new drafts within the
last couple of months proposing some new improvements to L3VPNs ;). What
may be the reason for not much work is the current charter's below
quote:

"Note that it is not a goal of this WG to develop new protocols or
extend existing ones."

So if the split allows to remove that one line I think it could be
beneficial. Also it could very well get rid of all the
framework/requirements and applicability statements ;).

On the other hand there is work common to both L2VPN & L3VPNs - if we
split ppvpn where such a work is going to end up ? In both :) ?

R.

---

From: George Swallow <[email-masked]>
Date: Mon, 05 May 2003 17:19:31 -0400

I don't see the need for two work groups.  Just encourage the
chairs to get two meeting slots (until the level of activity settles
down).

///George

========================================================================
George Swallow             Cisco Systems                  (978) 936-1398
                           1414 Massachusetts Avenue
                           Boxborough, MA 01719

---

From: Alex Zinin <[email-masked]>
Date: Mon, 5 May 2003 14:38:40 -0700

George,

 Interesting that you mention this... I actually believe that if a WG
 consistently needs more than one meeting slot, it is a good sign of
 it having more on its plate than can efficiently deal with or poor
 management of the meeting time.

 Cheers.

-- 
Alex

---

From: George Swallow <[email-masked]>
Date: Tue, 06 May 2003 10:42:03 -0400

Alex -

>  management of the meeting time.

I thought the IESG was concerned about the overall number of
Workgroups.  They are much easier to create than to shut down.  So if
meeting twice per IETF for a short while until the work settles down
lets you have one less, seems like a good idea.

...George

---

From: Alex Zinin <[email-masked]>
Date: Wed, 7 May 2003 16:40:54 -0700

George,

> Workgroups.  They are much easier to create than to shut down.

I think the overall number of the WGs is a lesser concern.

> So if meeting twice per IETF for a short while until the work
> settles down lets you have one less, seems like a good idea.

Agreed, provided that this is not a consistent situation and that the
agenda time is not used for slideware, but to discuss real issues the
WG is facing, verify consensus on document modifications, etc., i.e.,
the real stuff.

Alex